# Add_Attributes_To_Customer

Associate attributes to a customer.

`PUT /v2/customers/{id}/attributes`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/Add_Attributes_To_Customer/

## Description

Associate attributes to a customer.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |
| `attributes` | array | query | Yes | Need to pass in the customer attribute id that you want to associate with your customer.  To get a list, use /v2/customer-attributes. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/customers/{id}/attributes" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```